Subject: rerere.autoupdate that wouldn't

From: Phil Hord <[email-masked]>
Date: Fri, 09 Mar 2012 17:34:40 -0500

So now I have rerere.autoupdate=true (living on the edge!), and today I
rebased a branch and git did a new thing: it added the automerged file
to the index like I expected. 

Then git did an unexpected thing.  It told me the merge had failed and
it asked me to clean it up.  There were no other conflicts; just this
one conflict that was already automerged and added to my index.

All I had to do was 'git rebase --continue' and off it went.

But I was hoping for more.  I was hoping that rebase would continue on
its own and quit bothering me with these triflings. 

Is this what is supposed to happen?  Should I look into adding
'rerere.autoContinue=true'?

Maybe instead, the sane thing would be to add 'rerere.autoTest=make
test'.  Then if rerere is so worried about messing up my rebase, he can
take a moment to do a build test to comfort his conscience.

Phil